Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 111)
+++ trunk/src/civ.m	(revision 112)
@@ -2258,8 +2260,8 @@
     nbslice_mask=get(handles.mask_fix1,'UserData'); % get the number of slices (= number of masks)
     %%%%%%%%%%%%%COMPLETER LE PROGRAMME FIX
-%     inf_sup=get(handles.inf_sup1,'Value');80
-%     fileref=get(handles.ref_fix1,'String');
-%     refpath=get(handles.ref_fix1,'UserData');
-%     fileref=fullfile(refpath,fileref);
+    %     inf_sup=get(handles.inf_sup1,'Value');80
+    %     fileref=get(handles.ref_fix1,'String');
+    %     refpath=get(handles.ref_fix1,'UserData');
+    %     fileref=fullfile(refpath,fileref);
     menu=get(handles.field_ref1,'String');
     index=get(handles.field_ref1,'Value');
@@ -2268,32 +2270,32 @@
     else
         fieldchoice=menu{index};
-         msgbox_uvmat('WARNING','reference field is not used presently with batch, use RUN option')
-    end   
-end
- 
- %get patch1 parameters
+        msgbox_uvmat('WARNING','reference field is not used presently with batch, use RUN option')
+    end
+end
+
+%get patch1 parameters
 if box_test(3)==1
-        rho_patch1=str2num(get(handles.rho_patch1,'String'));
-        if isempty(rho_patch1)
-            rho_patch1='1000';
-            set(handles.rho_patch1,'String','1')
-        else
-            rho_patch1=num2str(1000*rho_patch1);
-        end
-        nx_patch1=get(handles.nx_patch1,'String');
-        ny_patch1=get(handles.ny_patch1,'String');
-        if isequal(str2num(nx_patch1),[])
-            nx_patch1='50' ;%default
-            set(handles.nx_patch1,'String','50');
-        end
-        if isequal(str2num(ny_patch1),[])
-            ny_patch1='50' ;%default
-            set(handles.ny_patch1,'String','50');
-        end
-        subdomain_patch1=get(handles.subdomain_patch1,'String');
-        thresh_patch1=get(handles.thresh_patch1,'String');
- end
- 
- %get civ2 parameters
+    rho_patch1=str2num(get(handles.rho_patch1,'String'));
+    if isempty(rho_patch1)
+        rho_patch1='1000';
+        set(handles.rho_patch1,'String','1')
+    else
+        rho_patch1=num2str(1000*rho_patch1);
+    end
+    nx_patch1=get(handles.nx_patch1,'String');
+    ny_patch1=get(handles.ny_patch1,'String');
+    if isequal(str2num(nx_patch1),[])
+        nx_patch1='50' ;%default
+        set(handles.nx_patch1,'String','50');
+    end
+    if isequal(str2num(ny_patch1),[])
+        ny_patch1='50' ;%default
+        set(handles.ny_patch1,'String','50');
+    end
+    subdomain_patch1=get(handles.subdomain_patch1,'String');
+    thresh_patch1=get(handles.thresh_patch1,'String');
+end
+
+%get civ2 parameters
 if box_test(4)==1
     par_civ2=read_param_civ2(handles,cell2mat(filecell.ima1.civ2(1,1)));
@@ -2301,5 +2303,5 @@
 
 %get fix2 parameters
-if box_test(5)==1 
+if box_test(5)==1
     flagindex2(1)=get(handles.vec_Fmin2_2, 'Value');
     flagindex2(2)=get(handles.vec_F3_2, 'Value');
@@ -2309,8 +2311,8 @@
     test_mask=get(handles.get_mask_fix2,'Value');
     nbslice_mask=get(handles.mask_fix2,'UserData'); % get the number of slices (= number of masks)
-        %%%%%%%%%%%%%COMPLETER LE PROGRAMME FIX AVEC REF FILE ET OPTION inf_sup=2
-%     inf_sup=get(handles.inf_sup2,'Value');
-%     ref=get(handles.ref_fix2,'UserData');
-
+    %%%%%%%%%%%%%COMPLETER LE PROGRAMME FIX AVEC REF FILE ET OPTION inf_sup=2
+    %     inf_sup=get(handles.inf_sup2,'Value');
+    %     ref=get(handles.ref_fix2,'UserData');
+    
     %%%%%%%%%%%%%%%%%%%
 end
@@ -2339,5 +2341,5 @@
     subdomain_patch2=get(handles.subdomain_patch2,'String');
     thresh_patch2=get(handles.thresh_patch2,'String');
-%              test_interp=get(handles.test_interp,'Value');
+    %              test_interp=get(handles.test_interp,'Value');
 end
 
@@ -2346,14 +2348,14 @@
 p1text=[];%initiate command text
 time=get(handles.RootName,'UserData'); %get the set of times
-civAll=get(handles.Experimental,'Value'); % Boolean for new civ excution method 
+civAll=get(handles.Experimental,'Value'); % Boolean for new civ excution method
 for ifile=1:nbfield
     for j=1:nbslice
-        i_cmd=0; 
+        i_cmd=0;
         cmd='';
         if isunix % check: necessaire aussi en RUN?
-           %fid=fopen([filename '.cmx'],'w')
-           cmd='#!/bin/bash \n';
-           cmd=[cmd '#$ -cwd \n'];
-           cmd=[cmd 'hostname && date \n'];
+            %fid=fopen([filename '.cmx'],'w')
+            cmd='#!/bin/bash \n';
+            cmd=[cmd '#$ -cwd \n'];
+            cmd=[cmd 'hostname && date \n'];
         end
         if civAll
@@ -2366,15 +2368,15 @@
         filename_cmx=[filename_cmx 'x'];
         
-   %CIV1
+        %CIV1
         if box_test(1)==1
             par_civ1.filename_ima_a=filecell.ima1.civ1{ifile,j};
-            par_civ1.filename_ima_b=filecell.ima2.civ1{ifile,j};         
+            par_civ1.filename_ima_b=filecell.ima2.civ1{ifile,j};
             namelog=[filename_cmx([1:end-3]) 'log'];
             par_civ1.Dt=num2str(time(num2_civ1(ifile),num_b_civ1(j))-time(num1_civ1(ifile),num_a_civ1(j)));
-            par_civ1.T0=num2str((time(num2_civ1(ifile),num_b_civ1(j))+time(num1_civ1(ifile),num_a_civ1(j)))/2); 
+            par_civ1.T0=num2str((time(num2_civ1(ifile),num_b_civ1(j))+time(num1_civ1(ifile),num_a_civ1(j)))/2);
             par_civ1.term_a=num2stra(num_a_civ1(j),nom_type_nc);%UTILITE?
-            par_civ1.term_b=num2stra(num_b_civ1(j),nom_type_nc);% 
+            par_civ1.term_b=num2stra(num_b_civ1(j),nom_type_nc);%
             test_mask=get(handles.get_mask_civ1,'Value');
-            if test_mask==0  
+            if test_mask==0
                 par_civ1.maskname='noFile use default';
                 par_civ1.maskflag='n';
@@ -2383,8 +2385,8 @@
                 if exist(maskdispl,'file')
                     par_civ1.maskname=maskdispl;
-                    par_civ1.maskflag='y';   
+                    par_civ1.maskflag='y';
                 else
-                    maskbase=[filebase '_' maskdispl]; % 
-                    nbslice_mask=str2num(maskdispl(1:end-4)); % 
+                    maskbase=[filebase '_' maskdispl]; %
+                    nbslice_mask=str2num(maskdispl(1:end-4)); %
                     num1_mask=mod(num1_civ1(ifile)-1,nbslice_mask)+1;
                     par_civ1.maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
@@ -2393,5 +2395,5 @@
                     else
                         par_civ1.maskname='noFile use default';
-                        par_civ1.maskflag='n'; 
+                        par_civ1.maskflag='n';
                     end
                 end
@@ -2408,8 +2410,8 @@
                         par_civ1.gridname=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
                         if ~exist(par_civ1.gridname,'file')
-                           msgbox_uvmat('ERROR','grid file absent for civ1') 
+                            msgbox_uvmat('ERROR','grid file absent for civ1')
                         end
                     elseif exist(gridname,'file')
-                        par_civ1.gridname=gridname; 
+                        par_civ1.gridname=gridname;
                     else
                         msgbox_uvmat('ERROR','grid file absent for civ1')
@@ -2417,45 +2419,45 @@
                 end
             else
-                  par_civ1.gridname='noFile use default';
-                  par_civ1.gridflag='n';
-            end
-            %           
+                par_civ1.gridname='noFile use default';
+                par_civ1.gridflag='n';
+            end
+            %
             i_cmd=i_cmd+1;
             if isequal(civAll,0)
                 cmd=[cmd CIV1_CMD(filename_cmx(1:end-4),namelog,par_civ1,handles,sparam) '\n'];
             else
-                 civAllCmd=[civAllCmd ' civ1 '];
-                 str=CIV1_CMD_Unified(filename_cmx([1:end-4]),namelog,par_civ1);
-                 fieldnames=fields(str);
+                civAllCmd=[civAllCmd ' civ1 '];
+                str=CIV1_CMD_Unified(filename_cmx([1:end-4]),namelog,par_civ1);
+                fieldnames=fields(str);
                 [civAllxml,uid_civ1]=add(civAllxml,1,'element','civ1');
                 for ilist=1:length(fieldnames)
-                  val=eval(['str.' fieldnames{ilist}]);
-                  if ischar(val)
-                    [civAllxml,uid_t]=add(civAllxml,uid_civ1,'element',fieldnames{ilist});
-                    [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
-                   end
-                end   
+                    val=eval(['str.' fieldnames{ilist}]);
+                    if ischar(val)
+                        [civAllxml,uid_t]=add(civAllxml,uid_civ1,'element',fieldnames{ilist});
+                        [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
+                    end
+                end
             end
         end
         
-   % FIX1
-       if box_test(2)==1
-           test_mask=get(handles.get_mask_fix1,'Value');
-           if test_mask==0
+        % FIX1
+        if box_test(2)==1
+            test_mask=get(handles.get_mask_fix1,'Value');
+            if test_mask==0
                 maskname='';
-           else
+            else
                 maskdispl=get(handles.mask_fix1,'String');
-                nbslice_mask=str2num(maskdispl(1:end-4)); % 
+                nbslice_mask=str2num(maskdispl(1:end-4)); %
                 num1_mask=mod(num1_civ1(ifile)-1,nbslice_mask)+1;
                 maskbase=[filebase '_' maskdispl];
                 maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
-           end
-           if isequal(civAll,0)
+            end
+            if isequal(civAll,0)
                 cmd_FIX=[sparam.FixBin ' -f ' filecell.nc.civ1{ifile,j} ' -fi1 ' num2str(flagindex1(1)) ...
-                   ' -fi2 ' num2str(flagindex1(2)) ' -fi3 ' num2str(flagindex1(3)) ...
-                   ' -threshC ' num2str(thresh_vecC1) ' -threshV ' num2str(thresh_vel1) ' -maskName ' maskname];
+                    ' -fi2 ' num2str(flagindex1(2)) ' -fi3 ' num2str(flagindex1(3)) ...
+                    ' -threshC ' num2str(thresh_vecC1) ' -threshV ' num2str(thresh_vel1) ' -maskName ' maskname];
                 cmd_FIX=regexprep(cmd_FIX,'\\','\\\\');
                 cmd=[cmd cmd_FIX '\n'];
-           else
+            else
                 fix1.inputFileName=filecell.nc.civ1{ifile,j} ;
                 fix1.fi1=num2str(flagindex1(1));
@@ -2463,74 +2465,74 @@
                 fix1.fi3=num2str(flagindex1(3));
                 fix1.threshC=num2str(thresh_vecC1);
-                fix1.threshV=num2str(thresh_vel1);                 
+                fix1.threshV=num2str(thresh_vel1);
                 fieldnames=fields(fix1);
                 [civAllxml,uid_fix1]=add(civAllxml,1,'element','fix1');
                 for ilist=1:length(fieldnames)
-                  val=eval(['fix1.' fieldnames{ilist}]);
-                  if ischar(val)
-                    [civAllxml,uid_t]=add(civAllxml,uid_fix1,'element',fieldnames{ilist});
-                    [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
-                   end
-                end 
-             civAllCmd=[civAllCmd ' fix1 '];           
-           end          
-       end
-   
-    %PATCH1
-    if box_test(3)==1
-        if isequal(civAll,0)
-            cmd_PATCH=PATCH_CMD(filecell.nc.civ1{ifile,j},nx_patch1,ny_patch1,rho_patch1,subdomain_patch1,thresh_patch1,test_interp,sparam.PatchBin);
-            cmd_PATCH=regexprep(cmd_PATCH,'\\','\\\\');
-            cmd=[cmd cmd_PATCH '\n'];
-        else
-            patch1.inputFileName=filecell.nc.civ1{ifile,j} ;
-            patch1.nopt=subdomain_patch1;
-            patch1.maxdiff=thresh_patch1;
-            patch1.ro=rho_patch1;
-            test_grid=get(handles.get_gridpatch1,'Value');
-            if test_grid
-                 patch1.gridflag='y';
-                gridname=get(handles.grid_patch1,'String');
-                if isequal(gridname(end-3:end),'grid')
-                    nbslice_grid=str2num(gridname(1:end-4)); %
-                    if ~isempty(nbslice_grid)
-                        num1_grid=mod(num1_civ1(ifile)-1,nbslice_grid)+1;
-                        patch1.gridPatch=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
-                        if ~exist(patch1.gridPatch,'file')
-                           msgbox_uvmat('ERROR','grid file absent for patch1') 
-                        end
-                    elseif exist(gridname,'file')
-                        patch1.gridPatch=gridname; 
-                    else
-                        msgbox_uvmat('ERROR','grid file absent for patch1')
+                    val=eval(['fix1.' fieldnames{ilist}]);
+                    if ischar(val)
+                        [civAllxml,uid_t]=add(civAllxml,uid_fix1,'element',fieldnames{ilist});
+                        [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
                     end
                 end
+                civAllCmd=[civAllCmd ' fix1 '];
+            end
+        end
+        
+        %PATCH1
+        if box_test(3)==1
+            if isequal(civAll,0)
+                cmd_PATCH=PATCH_CMD(filecell.nc.civ1{ifile,j},nx_patch1,ny_patch1,rho_patch1,subdomain_patch1,thresh_patch1,test_interp,sparam.PatchBin);
+                cmd_PATCH=regexprep(cmd_PATCH,'\\','\\\\');
+                cmd=[cmd cmd_PATCH '\n'];
             else
-                   patch1.gridPatch='none';
-                   patch1.gridflag='n';
-                  patch1.m=nx_patch1;
-                  patch1.n=ny_patch1;
-            end
-            patch1.convectFlow='n';
-               fieldnames=fields(patch1);
+                patch1.inputFileName=filecell.nc.civ1{ifile,j} ;
+                patch1.nopt=subdomain_patch1;
+                patch1.maxdiff=thresh_patch1;
+                patch1.ro=rho_patch1;
+                test_grid=get(handles.get_gridpatch1,'Value');
+                if test_grid
+                    patch1.gridflag='y';
+                    gridname=get(handles.grid_patch1,'String');
+                    if isequal(gridname(end-3:end),'grid')
+                        nbslice_grid=str2num(gridname(1:end-4)); %
+                        if ~isempty(nbslice_grid)
+                            num1_grid=mod(num1_civ1(ifile)-1,nbslice_grid)+1;
+                            patch1.gridPatch=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
+                            if ~exist(patch1.gridPatch,'file')
+                                msgbox_uvmat('ERROR','grid file absent for patch1')
+                            end
+                        elseif exist(gridname,'file')
+                            patch1.gridPatch=gridname;
+                        else
+                            msgbox_uvmat('ERROR','grid file absent for patch1')
+                        end
+                    end
+                else
+                    patch1.gridPatch='none';
+                    patch1.gridflag='n';
+                    patch1.m=nx_patch1;
+                    patch1.n=ny_patch1;
+                end
+                patch1.convectFlow='n';
+                fieldnames=fields(patch1);
                 [civAllxml,uid_patch1]=add(civAllxml,1,'element','patch1');
                 for ilist=1:length(fieldnames)
-                  val=eval(['patch1.' fieldnames{ilist}]);
-                  if ischar(val)
-                    [civAllxml,uid_t]=add(civAllxml,uid_patch1,'element',fieldnames{ilist});
-                    [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
-                   end
-                end             
-            civAllCmd=[civAllCmd ' patch1 '];
-        end
-    end
-    
-    if box_test(4)==1 | box_test(5)==1 | box_test(6)==1
-        filename_cmx=filecell.nc.civ2{ifile,j};%output netcdf file
-        filename_cmx([end-1:end])=[ 'cm'];%name of cmx file
-        filename_cmx=[filename_cmx 'x'];
-    end
-    
-    if box_test(4)==1
+                    val=eval(['patch1.' fieldnames{ilist}]);
+                    if ischar(val)
+                        [civAllxml,uid_t]=add(civAllxml,uid_patch1,'element',fieldnames{ilist});
+                        [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
+                    end
+                end
+                civAllCmd=[civAllCmd ' patch1 '];
+            end
+        end
+        
+        if box_test(4)==1 | box_test(5)==1 | box_test(6)==1
+            filename_cmx=filecell.nc.civ2{ifile,j};%output netcdf file
+            filename_cmx([end-1:end])=[ 'cm'];%name of cmx file
+            filename_cmx=[filename_cmx 'x'];
+        end
+        
+        if box_test(4)==1
             par_civ2.filename_ima_a=filecell.ima1.civ2{ifile,j};
             %par_civ2.filename_ima_a([end-3:end])=[];%remove .png extension
@@ -2539,11 +2541,11 @@
             namelog=[filename_cmx([1:end-3]) 'log'];
             par_civ2.Dt=num2str(time(num2_civ2(ifile),num_b_civ2(j))-time(num1_civ2(ifile),num_a_civ2(j)));
-            par_civ2.T0=num2str((time(num2_civ1(ifile),num_b_civ2(j))+time(num1_civ2(ifile),num_a_civ2(j)))/2); 
+            par_civ2.T0=num2str((time(num2_civ1(ifile),num_b_civ2(j))+time(num1_civ2(ifile),num_a_civ2(j)))/2);
             par_civ2.term_a=num2stra(num_a_civ2(j),nom_type_nc);
-            par_civ2.term_b=num2stra(num_b_civ2(j),nom_type_nc);         
+            par_civ2.term_b=num2stra(num_b_civ2(j),nom_type_nc);
             par_civ2.filename_nc1=filecell.nc.civ1{ifile,j};
             par_civ2.filename_nc1([end-2:end])=[]; % remove '.nc'
             test_mask=get(handles.get_mask_civ2,'Value');
-            if test_mask==0 
+            if test_mask==0
                 par_civ2.maskname='noFile use default';
                 par_civ2.maskflag='n';
@@ -2554,13 +2556,13 @@
                     par_civ2.maskflag='y';
                 else
-                    maskbase=[filebase '_' maskdispl]; % 
-                    nbslice_mask=str2num(maskdispl(1:end-4)); % 
+                    maskbase=[filebase '_' maskdispl]; %
+                    nbslice_mask=str2num(maskdispl(1:end-4)); %
                     num1_mask=mod(num1_civ2(ifile)-1,nbslice_mask)+1;
                     par_civ2.maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
                     if exist(par_civ2.maskname,'file')
-                        par_civ2.maskflag='y'; 
+                        par_civ2.maskflag='y';
                     else
                         par_civ2.maskname='noFile use default';
-                        par_civ2.maskflag='n'; 
+                        par_civ2.maskflag='n';
                     end
                 end
@@ -2577,14 +2579,14 @@
                     par_civ2.gridname=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
                     if exist(par_civ2.gridname,'file')
-                        par_civ2.gridflag='y'; 
+                        par_civ2.gridflag='y';
                     else
                         par_civ2.gridname='noFile use default';
-                        par_civ2.gridflag='n'; 
+                        par_civ2.gridflag='n';
                     end
                 elseif exist(gridname,'file')
-                    par_civ2.gridflag='y'; 
+                    par_civ2.gridflag='y';
                 else
                     par_civ2.gridname='noFile use default';
-                    par_civ2.gridflag='n'; 
+                    par_civ2.gridflag='n';
                 end
             end
@@ -2600,37 +2602,37 @@
                 end
             else
-                 civAllCmd=[civAllCmd ' civ2 '];
-                 str=CIV2_CMD_Unified(filename_cmx([1:end-4]),namelog,par_civ2);
-                 fieldnames=fields(str);
+                civAllCmd=[civAllCmd ' civ2 '];
+                str=CIV2_CMD_Unified(filename_cmx([1:end-4]),namelog,par_civ2);
+                fieldnames=fields(str);
                 [civAllxml,uid_civ2]=add(civAllxml,1,'element','civ2');
                 for ilist=1:length(fieldnames)
                     val=eval(['str.' fieldnames{ilist}]);
                     if ischar(val)
-                       [civAllxml,uid_t]=add(civAllxml,uid_civ2,'element',fieldnames{ilist});
-                       [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
+                        [civAllxml,uid_t]=add(civAllxml,uid_civ2,'element',fieldnames{ilist});
+                        [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
                     end
-                end   
-            end
-     end
-     
-     % FIX2
-     if box_test(5)==1
-           test_mask=get(handles.get_mask_fix2,'Value');    
-            if test_mask==0  
-                maskname=''; %no mask used 
+                end
+            end
+        end
+        
+        % FIX2
+        if box_test(5)==1
+            test_mask=get(handles.get_mask_fix2,'Value');
+            if test_mask==0
+                maskname=''; %no mask used
             else
                 maskdispl=get(handles.mask_fix2,'String');
-                maskbase=[filebase '_' maskdispl]; % 
-                nbslice_mask=str2num(maskdispl(1:end-4)); % 
+                maskbase=[filebase '_' maskdispl]; %
+                nbslice_mask=str2num(maskdispl(1:end-4)); %
                 num1_mask=mod(num1_civ2(ifile)-1,nbslice_mask)+1;
                 maskname =name_generator(maskbase,num1_mask,1,'.png','_i');
-            end                  
-           if isequal(civAll,0)
+            end
+            if isequal(civAll,0)
                 cmd_FIX=[sparam.FixBin ' -f ' filecell.nc.civ2{ifile,j} ' -fi1 ' num2str(flagindex2(1)) ...
-                   ' -fi2 ' num2str(flagindex2(2)) ' -fi3 ' num2str(flagindex2(3)) ...
-                   ' -threshC ' num2str(thresh_vec2C) ' -threshV ' num2str(thresh_vel2) ' -maskName ' maskname];
-               cmd_FIX=regexprep(cmd_FIX,'\\','\\\\');
-               cmd=[cmd cmd_FIX '\n'];
-           else                      
+                    ' -fi2 ' num2str(flagindex2(2)) ' -fi3 ' num2str(flagindex2(3)) ...
+                    ' -threshC ' num2str(thresh_vec2C) ' -threshV ' num2str(thresh_vel2) ' -maskName ' maskname];
+                cmd_FIX=regexprep(cmd_FIX,'\\','\\\\');
+                cmd=[cmd cmd_FIX '\n'];
+            else
                 fix2.inputFileName=filecell.nc.civ2{ifile,j} ;
                 fix2.fi1=num2str(flagindex2(1));
@@ -2638,20 +2640,20 @@
                 fix2.fi3=num2str(flagindex2(3));
                 fix2.threshC=num2str(thresh_vec2C);
-                fix2.threshV=num2str(thresh_vel2);                 
+                fix2.threshV=num2str(thresh_vel2);
                 fieldnames=fields(fix2);
                 [civAllxml,uid_fix2]=add(civAllxml,1,'element','fix2');
                 for ilist=1:length(fieldnames)
-                  val=eval(['fix2.' fieldnames{ilist}]);
-                  if ischar(val)
-                    [civAllxml,uid_t]=add(civAllxml,uid_fix2,'element',fieldnames{ilist});
-                    [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
-                   end
-                end 
-                civAllCmd=[civAllCmd ' fix2 '];           
-           end 
-       end
-       
-     %PATCH2
-       if box_test(6)==1
+                    val=eval(['fix2.' fieldnames{ilist}]);
+                    if ischar(val)
+                        [civAllxml,uid_t]=add(civAllxml,uid_fix2,'element',fieldnames{ilist});
+                        [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
+                    end
+                end
+                civAllCmd=[civAllCmd ' fix2 '];
+            end
+        end
+        
+        %PATCH2
+        if box_test(6)==1
             if isequal(civAll,0)
                 cmd_PATCH=PATCH_CMD(filecell.nc.civ2{ifile,j},nx_patch2,ny_patch2,rho_patch2,subdomain_patch2,thresh_patch2,test_interp,sparam.PatchBin);
@@ -2673,8 +2675,8 @@
                             patch2.gridPatch=[filebase '_' name_generator(gridname,num1_grid,1,'.grid','_i')];
                             if ~exist(patch2.gridPatch,'file')
-                               msgbox_uvmat('ERROR','grid file absent for patch2') 
+                                msgbox_uvmat('ERROR','grid file absent for patch2')
                             end
                         elseif exist(gridname,'file')
-                            patch2.gridPatch=gridname; 
+                            patch2.gridPatch=gridname;
                         else
                             msgbox_uvmat('ERROR','grid file absent for patch2')
@@ -2682,8 +2684,8 @@
                     end
                 else
-                      patch2.gridPatch='none';
-                      patch2.gridflag='n';
-                      patch2.m=nx_patch2;
-                      patch2.n=ny_patch2;
+                    patch2.gridPatch='none';
+                    patch2.gridflag='n';
+                    patch2.m=nx_patch2;
+                    patch2.n=ny_patch2;
                 end
                 patch2.convectFlow='n';
@@ -2691,12 +2693,12 @@
                 [civAllxml,uid_patch2]=add(civAllxml,1,'element','patch2');
                 for ilist=1:length(fieldnames)
-                   val=eval(['patch2.' fieldnames{ilist}]);
-                   if ischar(val)
-                      [civAllxml,uid_t]=add(civAllxml,uid_patch2,'element',fieldnames{ilist});
-                      [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
-                   end
-                end             
+                    val=eval(['patch2.' fieldnames{ilist}]);
+                    if ischar(val)
+                        [civAllxml,uid_t]=add(civAllxml,uid_patch2,'element',fieldnames{ilist});
+                        [civAllxml,uid_t2]=add(civAllxml,uid_t,'chardata',val);
+                    end
+                end
                 civAllCmd=[civAllCmd ' patch2 '];
-            end     
+            end
         end
         if isequal(civAll,1)
@@ -2705,8 +2707,8 @@
             cmd=[cmd CivBin ' -f ' filename_cmx(1:end-4) '.xml '  civAllCmd  '\n'];
         end
-      % create the .bat file:
+        % create the .bat file:
         if batch
-                [Rootbat,Filebat,extbat]=fileparts(filename_cmx);
-                filename_bat=fullfile(Rootbat,['job_' Filebat extbat]);
+            [Rootbat,Filebat,extbat]=fileparts(filename_cmx);
+            filename_bat=fullfile(Rootbat,['job_' Filebat extbat]);
         else
             filename_bat=filename_cmx;
@@ -2726,14 +2728,14 @@
             end
         else
-%% to lauch the jobs locally :
+            %% to lauch the jobs locally :
             if(isunix)
-              eval(['!. ' filename_bat ' &']);
-              display(['!. ' filename_bat ' &'])
+                eval(['!. ' filename_bat ' &']);
+                display(['!. ' filename_bat ' &'])
             else
-              eval(['!' filename_bat ' &']);
-              display(['!' filename_bat ' &'])
-            end
-        end
-     end
+                eval(['!' filename_bat ' &']);
+                display(['!' filename_bat ' &'])
+            end
+        end
+    end
 end
 % set(handles.BATCH, 'Enable','On')
@@ -2750,5 +2752,5 @@
 [RootPath,RootFile,field_count,str2,str_a,str_b,ext,nom_type,subdir]=name2display(fileresu);
 namedoc=fullfile(RootPath,subdir,RootFile);
-detect=1; 
+detect=1;
 while detect==1
     namefigfull=[namedoc '.fig'];
@@ -2777,5 +2779,5 @@
 % num1_civ2(i),num2_civ2(i): lists of first and last i indices for civ2
 % num_a_civ2(j),num_b_civ2(j): lists of first and last j indices for civ2
-% nom_type_nc: nomenclature type for velocity files 
+% nom_type_nc: nomenclature type for velocity files
 % file_ref_fix1,file_ref_fix2: reference files possibly used by Fix1 and 2
 function [filecell,num1_civ1,num2_civ1,num_a_civ1,num_b_civ1,num1_civ2,num2_civ2,num_a_civ2,num_b_civ2,nom_type_nc,file_ref_fix1,file_ref_fix2]=...
@@ -2807,5 +2809,5 @@
 filebase_B=filebase;% root name of the second field series for stereo
 if strcmp(compare,'displacement') || strcmp(compare,'stereo PIV')
-    test_disp=1;   
+    test_disp=1;
     nom_type_ima1=browse.nom_type_ima_1; %nomenclature type of the second file series
     [Path2,Name2]=fileparts(filebase_B);
@@ -2827,12 +2829,12 @@
 end
 if strcmp(compare,'displacement')
-        filebase_ima1=filebase_A;
-        filebase_ima2=filebase_B;
-        filebase_nc=filebase_AB; %root name for the result of civ2  
-else
-        filebase_ima1=filebase_B;
-        filebase_ima2=filebase_B;
-        filebase_nc=filebase_B;
-end    
+    filebase_ima1=filebase_A;
+    filebase_ima2=filebase_B;
+    filebase_nc=filebase_AB; %root name for the result of civ2
+else
+    filebase_ima1=filebase_B;
+    filebase_ima2=filebase_B;
+    filebase_nc=filebase_B;
+end
 
 %determine reference files for fix:
@@ -2962,8 +2964,8 @@
 [erread,message]=fileattrib(Path_ima);
 if ~isempty(message) & ~isequal(message.UserWrite,1)
-      msgbox_uvmat('ERROR',['No writting access to ' Path_ima])
-      filecell=[];
-      cd(currentdir);
-      return
+    msgbox_uvmat('ERROR',['No writting access to ' Path_ima])
+    filecell=[];
+    cd(currentdir);
+    return
 end
 
